Printago API
PATCH /v1/maintenance/items/{id}

Update maintenance item

Update a maintenance item

Requires: maintenance.edit

Path Parameters

id required
string

Request Body

PartialPickMaintenanceItemnamecustomMetadatatriggerTypeintervalwarningThresholdPctnotes
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
intervaloptional
number
nameoptional
string
notesoptional
string
triggerTypeoptional
any
warningThresholdPctoptional
number

Example Request

application/json
{
  "name": "string",
  "customMetadata": {},
  "interval": 1,
  "warningThresholdPct": 1
}

Response Schema

MaintenanceItem
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
idrequired
string
pattern: ^[a-z0-9]{24}$
intervalrequired
number
isSystemDefaultrequired
boolean
namerequired
string
notesrequired
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
triggerTyperequired
any
updatedAtrequired
string
format: date-time
warningThresholdPctrequired
number

Example Response

200 OK — application/json
{
  "name": "string",
  "interval": 1,
  "warningThresholdPct": 1,
  "isSystemDefault": true,
  "customMetadata": {},
  "id": "string",
  "storeId": "string",
  "createdAt": "2026-09-09T20:31:46.605Z",
  "updatedAt": "2026-09-09T20:31:46.605Z"
}